GENRB(8)

NAME
genrb - compile a resource bundle

SYNOPSIS
genrb [ -V, --version ] [ -h, -?, --help ] [ -v, --verbose ] [ -e, --encoding encoding ] [ -s, --sourcedir source ] [ -d, --destdir destination ] bundle ...

DESCRIPTION
genrb converts the resource bundle source files passed on the command line to their binary form. The resulting files have a .res extension while resource bundle source files typically have a .txt extension. The bundle file name should be a local identifier, e.g. ja_JP.txt for Japanese (Japan) data, or root.txt for the root bundle.

These binary files can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

OPTIONS

-V,--version
    Print the version of genrb and exit.

-h,-?,--help
    Print help about usage and exit.

-v,--verbose
    Display extra informative messages during execution.

-e, --encoding encoding
    Set the encoding used to read input files to encoding. The default encoding is the invariant (subset of ASCII or EBCDIC) codepage for the system. See section INVARIANT CHARACTERS. genrb does automatically detect UTF-8, UTF-16BE, and UTF-16LE if a byte order mark (BOM) is present.

-s, --sourcedir source
    Set the source directory to source. The default source directory is specified by the environment variable ICU_DATA.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

INVARIANT CHARACTERS
The invariant character set consists of the following set of characters, expressed as a standard POSIX regular expression: [a-z]|[A-Z]|[0-9]|_| |+|-|*|/. This is the set which is guaranteed to be available regardless of code page.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to @thedatadir@/icu/@VERSION@/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

VERSION
@VERSION@

COPYRIGHT
Copyright (C) 2000 IBM, Inc. and others.

SEE ALSO
pkgdata(8)